# $Revision: 1.59 $, $Date: 2002/07/27 11:33:38 $
Summary:	A GNU source-level debugger for C, C++ and Fortran
Summary(de):	Symbolischer Debugger fr C und andere Sprachen
Summary(es):	Depurador de programas C y otras lenguajes
Summary(fr):	Dbugger symbolique pour C et d'autres langages
Summary(pl):	Symboliczny odpluskwiacz dla C i innych jzykw
Summary(pt_BR):	Depurador de programas C e outras linguagens
Summary(ru):	   C   
Summary(tr):	C ve dier diller iin sembolik hata ayklayc
Summary(uk):	 צ     
Name:		gdb
Version:	5.2.1
Release:	1
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/%{name}-%{version}.tar.gz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-gettext.patch
Patch1:		%{name}-ncurses.patch
Patch2:		%{name}-readline.patch
Patch3:		%{name}-info.patch
Patch4:		%{name}-procfs.patch
Patch5:		%{name}-passflags.patch
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time. Gdb works for C and C++ compiled with the GNU C compiler
gcc.

%description -l de
dem Sie die Ausfhrung von Programmen verfolgen und jederzeit den
inneren Zustand berprfen knnen. Er funktioniert fr C und mit GNU C
kompiliertes C++.

%description -l es
Este es un debugger orientado a comandos repleto de caractersticas.
Te permite rastrear la ejecucin de programas y examinar su estado
interno a cualquier momento. Funciona para C y C++ compilado con el
compilador GNU C.

%description -l fr
Dbugger complet, pilot par commandes. Permet de tracer l'excution
des programmes et d'examiner  tout moment leur tat interne.
Fonctionne avec les binaires C et C++ compils avec le compilateur C
de GNU, gcc.

%description -l pl
Gdb jest rozbudowanym odpluskwiaczem (debuggerem), pozwalajcym
ledzi wykonywanie programu i bada jego stan wewntrzny. Gdb
umoliwia odpluskwianie programw napisanych w C/C++ i skompilowanych
przy pomocy kompilatora GNU (gcc).

%description -l pt_BR
Este  um debugger orientado a comandos repleto de caractersticas.
Ele permite  voc rastrear a execuo de programas e examinar o seu
estado interno a qualquer momento. Ele funciona para para C e C++
compilado com o compilador GNU C.

%description -l ru
  ,  .  
        
  .     C  C++,
 GNU  C (gcc, egcs, pgcc).

%description -l tr
Bir komut arayz zerinden programcya programn adm adm izleme
(trace) ve herhangi bir anda programn durumunu inceleme olana
verir.

%description -l uk
 æ צ,  դ .  Ѥ
      ҦΦ   צ
 .     C  C++, Ц
Ц GNU C (gcc, egcs, pgcc).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cd gdb
%{__autoconf}
cd doc
%{__autoconf}
cd ../testsuite
%{__autoconf}
cd gdb.asm
%{__autoconf}
cd ../gdb.base
%{__autoconf}
cd ../gdb.c++
%{__autoconf}
cd ../gdb.chill
%{__autoconf}
cd ../gdb.disasm
%{__autoconf}
#cd ../gdb.fortran
#%{__autoconf}
cd ../gdb.java
%{__autoconf}
cd ../gdb.mi
%{__autoconf}
cd ../gdb.stabs
%{__autoconf}
cd ../gdb.threads
%{__autoconf}
cd ../gdb.trace
%{__autoconf}
cd ../../gdbserver
%{__autoconf}
cd ../..
# !! Don't enable shared here !!
# This will cause serious problems --misiek
%configure2_13 \
	--disable-shared \
	--enable-nls \
	--without-included-gettext \
	--without-included-regex \
	--enable-gdcli \
	--enable-gdbmi \
	--enable-multi-ice \
	--enable-netrom \
	--with-cpu=%{_target_cpu} \
	--enable-tui \
%ifnarch alpha
	--with-mmalloc
%endif

# something is wrong after above - e.g. $exeext=="no" - fix it:
cd gdb
%configure
cd ..

%{__make}
%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install install-info \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/gdb*.info*
%{_infodir}/stabs*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gdb.spec,v $
Revision 1.59  2002/07/27 11:33:38  qboosh
- updated to 5.2.1 (mainly bugfixes)

Revision 1.58  2002/05/23 18:10:55  qboosh
- no subshells
- added second section to passflags patch, now gdb builds

Revision 1.57  2002/05/22 23:37:47  filon
- BuildRequires: autoconf >= 2.53, doesn't require automake

Revision 1.56  2002/05/22 06:29:49  kloczek
- merge translations from KSI.

Revision 1.55  2002/05/22 05:20:30  filon
- updated for 5.2
- updated readline and ncurses patches, STBR

Revision 1.54  2002/04/25 16:21:31  arturs
fixed a small typo

Revision 1.53  2002/04/09 11:14:35  malekith
- added passflags patch (should fix ppc build)

Revision 1.52  2002/04/08 16:50:53  malekith
- use ppc-include patch, to allow build on ppc with libbfd-devel installed

Revision 1.51  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/02/05 12:55:55  kloczek
- release 2.

Revision 1.48  2002/02/04 08:59:15  qboosh
- cleanup

Revision 1.47  2002/02/02 17:17:11  qboosh
- updated to 5.1.1 (bugfixes relative to 5.1)
- updated readline patch (screen{width,height} symbols)
- workaround for $exeext=="no" is back

Revision 1.46  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.45  2002/01/23 00:21:22  filon
- updated to 5.1
- updated patches: ncurses (improved it), readline, info and procfs
- added tui compilation
- changes in build
- STB (builds and works)

Revision 1.44  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/12/18 09:57:33  kloczek
- merge translations from Conectiva.

Revision 1.42  2001/11/09 00:01:04  ankry
- added es,fr,hu,ja,pl man pages
- release 8

Revision 1.41  2001/10/08 13:55:30  qboosh
- don't gzip man and info pages in spec - rpm does

Revision 1.40  2001/09/26 10:29:36  qboosh
- BuildRequires: libtool

Revision 1.39  2001/08/04 17:39:54  qboosh
- added info directory fixes to info patch
- rebuild each configure in gdb tree
- libtoolize in gdb (to remove 'no' extension from filenames :/)
- ...but %%configure2_13 must be used, main configure is not autoconf-generated
- release 7

Revision 1.38  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.36  2001/04/13 00:51:03  kloczek
- release 6: rebuild against readline 4.2.

Revision 1.35  2001/02/08 01:12:01  kloczek
- release 5.

Revision 1.34  2001/02/07 16:29:58  wiget
fix --with-cpu configure parameter

Revision 1.33  2001/01/31 11:25:12  misiek
fixed builing on alpha. stb

Revision 1.32  2000/11/18 11:42:13  malekith
Allow build on sparc - undef USE_PROC_FS.

Revision 1.31  2000/09/11 17:33:39  kloczek
- adapterized.

Revision 1.30  2000/09/06 13:08:08  misiek
- importand fixes

Revision 1.29  2000/07/13 23:08:25  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.28  2000/07/13 20:40:14  baggins
- release 2

Revision 1.27  2000/06/12 14:10:03  baggins
- use bzipped source

Revision 1.26  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/29 15:01:49  kura
- commented gdb-shared-readline.patch (it is buggy)

Revision 1.23  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.22  2000/05/24 16:49:35  misiek
- updated patch
- new source
DON'T USE IT YET !
BUILDER RPM WILL NOT CONTAINT FEW LIBRARIES AND OTHER IMPORTANT THINGS
(need to update %%files section)

Revision 1.21  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.20  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.19  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.17  2000/03/25 11:07:25  alchemyx
- rebuilt with readline 4.1

Revision 1.16  1999/11/22 13:48:33  kloczek
- relase 7 (in RH is 6),
- added BuildRequires rules,
- build agains ncurses 5.0,
- added patches set from Mandrake.

Revision 1.15  1999/11/12 00:57:43  kura
- fixed pl translation

Revision 1.14  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.13  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.12  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 16 1999 Artur Frysiak <wiget@pld.org.pl>
  [4.18-3]
- configure with --host=%{_host_alias} instead --host=%{_host} to prevent build
  crosscompiler prefix (eg i586-pc-linux-gdb)
- using more rpm macros

* Fri May 14 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.18-2]
- now package is FHS 2.0 compliant.

* Tue Apr 13 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.18-1]
- standarized {un}registering info pages (added gdb-info.patch).
- removed man group from man pages.

* Mon Apr 12 1999 Marcin Dalecki <dalecki@cs.net.pl>
  [4.18]
- updated to this fresh new release.

* Sat Oct 17 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.17.0.4-3]
- added gdb-readline_ncurses.patch for compiling gdb agains shared
  libredline and libncurses.

* Sun Sep 27 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- added pl translation,
- major changes for PLD Linux
